#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityMonsterItemWeightCFGData
{
	//编号
	int mId;
	//道具名称
	std::string mItemName;
	//道具ID
	int mItemId;
	//权重
	int mWeight;
};

class M_ActivityMonsterItemWeightCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterItemWeightCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterItemWeightCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivityMonsterItemWeightCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityMonsterItemWeightCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityMonsterItemWeightCFGData> mMapData;
};
